#ifndef TEXTLABEL_H
#define TEXTLABEL_H

#include <QLabel>

class TextLabel : public QLabel
{
    Q_OBJECT
public:
    TextLabel(QWidget *parent = nullptr, Qt::WindowFlags f = Qt::WindowFlags());
    TextLabel(const QString &text, QWidget *parent = nullptr, Qt::WindowFlags f = Qt::WindowFlags());

    QSize sizeHint() const override;

    void setRealText(const QString& text);
    QString realText();

    void updateElidedText();

protected:
    void resizeEvent(QResizeEvent *event) override;

private:
    void updateToolTip();

    // text will be changed when resize
    QString m_realText;
};

#endif // TEXTLABEL_H
