#ifndef DEVICEMONITOREVENTFILTER_H
#define DEVICEMONITOREVENTFILTER_H

#include <QAbstractNativeEventFilter>
#include <QObject>

class QTimer;
// If you are using multiple inheritance, moc assumes that the first inherited class is
// a subclass of QObject. Also, be sure that only the first inherited class is a QObject.
class DeviceMonitorEventFilter : public QObject, public QAbstractNativeEventFilter
{
    Q_OBJECT
public:
    explicit DeviceMonitorEventFilter(QObject* parent = nullptr);
    ~DeviceMonitorEventFilter() override = default;

    bool nativeEventFilter(const QByteArray &eventType,
                           void* message, long int* result) override;
Q_SIGNALS:
    void touchScreenChanged(bool exist);
private:
    void setupTouchDevices();
    bool handleXcbGeEvent(void* message);

    // Filter recurring events for short periods of time(20ms)
    QTimer* m_timer = nullptr;
};

#endif // DEVICEMONITOREVENTFILTER_H
