#include "stylussettingpage.h"
#include "ui_stylussettingpage.h"

#include <QTranslator>
#include <QPushButton>
#include <QLabel>

namespace StylusSettings {

StylusSettingPage::StylusSettingPage(QWidget* parent) : QWidget(parent),
                                                  ui(new Ui::StylusSettingPage)
{
    this->setAttribute(Qt::WA_StyledBackground, true);
    this->setAttribute(Qt::WA_DeleteOnClose);

    ui->setupUi(this);
    initUi();
}

StylusSettingPage::~StylusSettingPage()
{
    delete ui;
}

void StylusSettingPage::initUi()
{
    // init widget in ui file
    //~ contents_path /Stylus/Stylus Settings
    ui->titleLabel->setText(tr("Stylus Settings"));
    ui->titleLabel->setStyleSheet("QLabel{font-size: 14px; color: palette(windowText);}");
    ui->penImgLabel->setPixmap(QPixmap(":/img/img/setting-illus-pen_small.png"));
    ui->noteLabel->setEnabled(false);

    // init other widget
    m_sl_erase_btn = new QLabel(this);
    m_sl_erase_btn->setPixmap(QPixmap(":/img/img/open_inuse.png"));
    ui->slEraseLayout->addWidget(m_sl_erase_btn);
}

} // namespace
