#ifndef ITEMWIDGET_H
#define ITEMWIDGET_H

#include <QWidget>

namespace Ui {
class ItemWidget;
}

class QSettings;
class QMovie;
class QString;
class QMouseEvent;
class QPaintEvent;
class QGSettings;
class ItemWidget : public QWidget
{
    Q_OBJECT

public:
    explicit ItemWidget(QString itemname,QWidget *parent = nullptr);
    ~ItemWidget();

protected:
    void mouseReleaseEvent(QMouseEvent *event);
    void paintEvent(QPaintEvent*);

public slots:
    void startMovieSlot();
    void stopMovieSlot();

private:
    Ui::ItemWidget* ui;
    QMovie* movie;
    QSettings* gesturesetting = nullptr;
    QGSettings* stylegsetting = nullptr;

    int status = -1;
    QPixmap currentpix;
    QColor color1;
    QColor color2;
    QColor color1_pre;
    QColor color2_pre;

Q_SIGNALS:
    void picClicked();
};

#endif // ITEMWIDGET_H
