#ifndef TOUCHSCREENSETTINGS_H
#define TOUCHSCREENSETTINGS_H

#include <QObject>

#include "ukcc/interface/interface.h"

class QWidget;
class QString;
class QIcon;
class DeviceMonitorEventFilter;
class TouchscreenSettings : public QObject, CommonInterface
{
    Q_OBJECT
    Q_PLUGIN_METADATA(IID "org.ukcc.CommonInterface")
    Q_INTERFACES(CommonInterface)

public:
    TouchscreenSettings();
    ~TouchscreenSettings();

    QString plugini18nName()        Q_DECL_OVERRIDE;
    int pluginTypes()               Q_DECL_OVERRIDE;
    QWidget *pluginUi()             Q_DECL_OVERRIDE;
    bool isEnable() const           Q_DECL_OVERRIDE;
    const QString name() const      Q_DECL_OVERRIDE;
    bool isShowOnHomePage() const   Q_DECL_OVERRIDE;
    QIcon icon() const              Q_DECL_OVERRIDE;
    QString translationPath() const Q_DECL_OVERRIDE;

private:
    QString prjCodeName;
    QString productFeatures;
    QWidget *pluginWidget = nullptr;
    bool mFirstLoad;
    DeviceMonitorEventFilter* m_deviceMonitor = nullptr;

private:
    void initSearchText();      // 搜索翻译

private Q_SLOTS:
    void setShow(bool isShow);  // 显示/隐藏插件
};

#endif // TOUCHSCREENSETTINGS_H
